Bug 854572 - fping-3.3-2.fc16.x86_64 breaks smokeping
fping-3.3-2.fc16.x86_64 breaks smokeping
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: smokeping (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 06:59 EDT by Harald Reindl
Modified: 2012-09-17 19:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:37:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix to read both stdout and stderr from fping (1.83 KB, patch)
2012-09-06 02:35 EDT, Charles R. Anderson
no flags Details | Diff

  None (edit)
Description Harald Reindl 2012-09-05 06:59:13 EDT
fping-3.3-2.fc16.x86_64 breaks smokeping on F16 as F17 too
after restart smokeping /var/log/messages is looking normal BUT
there is no fping process 

after downgrade to fping-3.0-1.fc16.x86_64 all is working fine

root     23120  0.2  0.0  10620   892 ?        S    12:57   0:00 /usr/sbin/fping
Comment 1 Charles R. Anderson 2012-09-06 01:27:21 EDT
Confirmed.  Running smokeping in debug mode with fping-3.0-1.fc16.x86_64 shows this output:

# /usr/sbin/smokeping --config=/etc/smokeping/config --debug
### Compiling alert detector pattern 'someloss'
### >0%,*12*,>0%,*12*,>0%
sub { 
    my $d = shift;
    my $y = $d->{loss};
    for(1){
        my $imax2 = min(@$y - 3, 12);
        my $imax1 = min(@$y - 3, 12);
        my $minlength = 3;
        my $maxlength = 27;
        next if scalar @$y < $minlength ;
        my $i1;
        for($i1=0; $i1 < min($maxlength,$imax1); $i1++){
            my $i2;
            for($i2=0; $i2 < min($maxlength-$i1,$imax2); $i2++){
                next unless defined $y->[-3-$i1-$i2]
                                and $y->[-3-$i1-$i2] =~ /^\d/
                                and $y->[-3-$i1-$i2] > 0;
                last;
            }
            return 0 if $i2 >= min($maxlength-$i1-$i2,$imax2);
            next unless defined $y->[-2-$i1]
                            and $y->[-2-$i1] =~ /^\d/
                            and $y->[-2-$i1] > 0;
            last;
        }
        return 0 if $i1 >= min($maxlength-$i1,$imax1);
        next unless defined $y->[-1]
                        and $y->[-1] =~ /^\d/
                        and $y->[-1] > 0;
        return 1;
    }
    return 0;
}



Smokeping version 2.004002 successfully launched.
Not entering multiprocess mode with '--debug'. Use '--debug-daemon' for that.
FPing: probing 3 targets with step 300 s and offset 32 s.
FPing: Executing /usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org fedoraproject.org docs.fedoraproject.org
FPing: Got fping output: 'planet.fedoraproject.org : 56.11 55.03 56.11 56.41 55.62 54.28 57.66 54.77 54.19 55.28 57.30 55.29 56.89 55.76 57.32 60.24 55.08 54.21 57.12 56.00'
FPing: Got fping output: 'fedoraproject.org        : 79.85 81.48 82.00 80.08 83.18 80.35 80.06 84.02 82.82 83.00 84.05 81.50 80.38 83.03 85.32 81.86 82.54 81.66 83.22 80.67'
FPing: Got fping output: 'docs.fedoraproject.org   : 55.40 54.98 54.43 56.31 56.89 54.50 57.23 54.26 55.41 56.47 53.88 56.11 55.77 55.37 54.36 55.39 54.60 56.19 55.06 54.20'
Calling RRDs::update(/var/lib/smokeping/rrd/Ping/DocsFedoraprojectOrg.rrd --template uptime:loss:median:ping1:ping2:ping3:ping4:ping5:ping6:ping7:ping8:ping9:ping10:ping11:ping12:ping13:ping14:ping15:ping16:ping17:ping18:ping19:ping20 1346908853:U:0:5.5390000000e-02:5.3880000000e-02:5.4200000000e-02:5.4260000000e-02:5.4360000000e-02:5.4430000000e-02:5.4500000000e-02:5.4600000000e-02:5.4980000000e-02:5.5060000000e-02:5.5370000000e-02:5.5390000000e-02:5.5400000000e-02:5.5410000000e-02:5.5770000000e-02:5.6110000000e-02:5.6190000000e-02:5.6310000000e-02:5.6470000000e-02:5.6890000000e-02:5.7230000000e-02)
Calling RRDs::update(/var/lib/smokeping/rrd/Ping/PlanetFedora.rrd --template uptime:loss:median:ping1:ping2:ping3:ping4:ping5:ping6:ping7:ping8:ping9:ping10:ping11:ping12:ping13:ping14:ping15:ping16:ping17:ping18:ping19:ping20 1346908853:U:0:5.6000000000e-02:5.4190000000e-02:5.4210000000e-02:5.4280000000e-02:5.4770000000e-02:5.5030000000e-02:5.5080000000e-02:5.5280000000e-02:5.5290000000e-02:5.5620000000e-02:5.5760000000e-02:5.6000000000e-02:5.6110000000e-02:5.6110000000e-02:5.6410000000e-02:5.6890000000e-02:5.7120000000e-02:5.7300000000e-02:5.7320000000e-02:5.7660000000e-02:6.0240000000e-02)
Calling RRDs::update(/var/lib/smokeping/rrd/Ping/FedoraprojectOrg.rrd --template uptime:loss:median:ping1:ping2:ping3:ping4:ping5:ping6:ping7:ping8:ping9:ping10:ping11:ping12:ping13:ping14:ping15:ping16:ping17:ping18:ping19:ping20 1346908853:U:0:8.2000000000e-02:7.9850000000e-02:8.0060000000e-02:8.0080000000e-02:8.0350000000e-02:8.0380000000e-02:8.0670000000e-02:8.1480000000e-02:8.1500000000e-02:8.1660000000e-02:8.1860000000e-02:8.2000000000e-02:8.2540000000e-02:8.2820000000e-02:8.3000000000e-02:8.3030000000e-02:8.3180000000e-02:8.3220000000e-02:8.4020000000e-02:8.4050000000e-02:8.5320000000e-02)

vs. this output with fping-3.3-2.fc16.x86_64:

# /usr/sbin/smokeping --config=/etc/smokeping/config --debug
### Compiling alert detector pattern 'someloss'
### >0%,*12*,>0%,*12*,>0%
sub { 
    my $d = shift;
    my $y = $d->{loss};
    for(1){
        my $imax2 = min(@$y - 3, 12);
        my $imax1 = min(@$y - 3, 12);
        my $minlength = 3;
        my $maxlength = 27;
        next if scalar @$y < $minlength ;
        my $i1;
        for($i1=0; $i1 < min($maxlength,$imax1); $i1++){
            my $i2;
            for($i2=0; $i2 < min($maxlength-$i1,$imax2); $i2++){
                next unless defined $y->[-3-$i1-$i2]
                                and $y->[-3-$i1-$i2] =~ /^\d/
                                and $y->[-3-$i1-$i2] > 0;
                last;
            }
            return 0 if $i2 >= min($maxlength-$i1-$i2,$imax2);
            next unless defined $y->[-2-$i1]
                            and $y->[-2-$i1] =~ /^\d/
                            and $y->[-2-$i1] > 0;
            last;
        }
        return 0 if $i1 >= min($maxlength-$i1,$imax1);
        next unless defined $y->[-1]
                        and $y->[-1] =~ /^\d/
                        and $y->[-1] > 0;
        return 1;
    }
    return 0;
}



Smokeping version 2.004002 successfully launched.
Not entering multiprocess mode with '--debug'. Use '--debug-daemon' for that.
FPing: probing 3 targets with step 300 s and offset 133 s.
FPing: Executing /usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org fedoraproject.org docs.fedoraproject.org
Calling RRDs::update(/var/lib/smokeping/rrd/Ping/DocsFedoraprojectOrg.rrd --template uptime:loss:median:ping1:ping2:ping3:ping4:ping5:ping6:ping7:ping8:ping9:ping10:ping11:ping12:ping13:ping14:ping15:ping16:ping17:ping18:ping19:ping20 1346908883:U:20:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U)
Calling RRDs::update(/var/lib/smokeping/rrd/Ping/PlanetFedora.rrd --template uptime:loss:median:ping1:ping2:ping3:ping4:ping5:ping6:ping7:ping8:ping9:ping10:ping11:ping12:ping13:ping14:ping15:ping16:ping17:ping18:ping19:ping20 1346908883:U:20:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U)
Calling RRDs::update(/var/lib/smokeping/rrd/Ping/FedoraprojectOrg.rrd --template uptime:loss:median:ping1:ping2:ping3:ping4:ping5:ping6:ping7:ping8:ping9:ping10:ping11:ping12:ping13:ping14:ping15:ping16:ping17:ping18:ping19:ping20 1346908883:U:20:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U:U)
Comment 2 Charles R. Anderson 2012-09-06 01:32:36 EDT
Running fping from the command line shows no difference in output between versions.

3.0-1.fc16.x86_64:

# /usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org
planet.fedoraproject.org : 53.46 55.11 57.26 54.82 56.26 54.29 54.78 60.15 60.99 54.29 53.58 58.48 56.39 55.85 56.81 55.84 55.03 53.60 60.99 60.88
docs.fedoraproject.org   : 81.44 84.43 85.82 80.97 80.53 81.69 80.80 81.40 81.33 80.29 81.63 80.75 79.92 85.31 80.69 84.61 82.62 82.97 87.53 80.65
fedoraproject.org        : 81.22 82.52 83.69 80.75 79.93 85.69 80.22 79.90 81.15 85.75 81.25 80.67 79.80 80.70 80.54 81.44 80.57 87.63 80.43 79.87

3.3-2.fc16.x86_64:

# /usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org
planet.fedoraproject.org : 57.39 57.29 58.09 56.52 54.37 54.94 53.99 55.39 54.31 61.56 54.70 53.92 57.78 54.11 55.83 54.85 53.86 72.93 110.95 55.45
docs.fedoraproject.org   : 54.94 55.89 57.41 55.96 56.08 54.74 53.65 59.68 54.02 55.36 54.55 53.62 54.90 55.47 55.53 58.00 53.75 62.72 100.68 55.34
fedoraproject.org        : 110.24 113.25 110.38 109.41 110.90 109.91 112.03 109.58 109.99 110.59 119.38 109.32 117.36 119.16 110.36 111.66 110.71 112.22 236.01 267.27

Same as a normal user:

>rpm -q fping
fping-3.0-1.fc16.x86_64
[cra@t 1:30:26 /home/cra]>/usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org
planet.fedoraproject.org : 103.23 110.92 55.16 59.62 56.61 55.43 54.70 57.86 56.46 55.10 57.43 56.28 56.51 54.92 58.11 62.00 54.98 56.17 58.42 54.62
docs.fedoraproject.org   : 190.28 100.56 99.17 97.62 99.00 97.73 118.43 98.35 99.54 96.56 98.71 99.03 98.77 108.53 96.76 100.01 97.86 97.27 98.51 97.89
fedoraproject.org        : 169.93 172.36 82.95 80.44 88.74 82.46 81.39 80.88 82.23 86.29 83.40 79.99 81.19 80.98 81.61 80.89 80.89 82.62 81.58 82.54

>rpm -q fping
fping-3.3-2.fc16.x86_64
>/usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org
planet.fedoraproject.org : 53.88 55.36 58.19 55.52 55.15 56.68 56.00 54.77 55.95 59.87 54.28 54.12 56.49 60.05 55.73 55.56 55.34 56.60 54.80 53.71
docs.fedoraproject.org   : 102.30 97.01 99.46 105.30 105.24 99.68 101.42 101.12 99.55 98.54 99.89 100.69 98.91 94.69 100.13 99.46 98.58 97.27 96.94 99.16
fedoraproject.org        : 83.69 86.76 81.91 81.05 80.98 80.02 81.57 82.69 82.13 80.68 84.96 81.65 81.33 84.42 80.73 80.21 83.72 80.07 83.67 82.10
Comment 3 Charles R. Anderson 2012-09-06 01:33:29 EDT
Running fping from the command line shows no difference in output between versions.

3.0-1.fc16.x86_64:

# /usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org
planet.fedoraproject.org : 53.46 55.11 57.26 54.82 56.26 54.29 54.78 60.15 60.99 54.29 53.58 58.48 56.39 55.85 56.81 55.84 55.03 53.60 60.99 60.88
docs.fedoraproject.org   : 81.44 84.43 85.82 80.97 80.53 81.69 80.80 81.40 81.33 80.29 81.63 80.75 79.92 85.31 80.69 84.61 82.62 82.97 87.53 80.65
fedoraproject.org        : 81.22 82.52 83.69 80.75 79.93 85.69 80.22 79.90 81.15 85.75 81.25 80.67 79.80 80.70 80.54 81.44 80.57 87.63 80.43 79.87

3.3-2.fc16.x86_64:

# /usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org
planet.fedoraproject.org : 57.39 57.29 58.09 56.52 54.37 54.94 53.99 55.39 54.31 61.56 54.70 53.92 57.78 54.11 55.83 54.85 53.86 72.93 110.95 55.45
docs.fedoraproject.org   : 54.94 55.89 57.41 55.96 56.08 54.74 53.65 59.68 54.02 55.36 54.55 53.62 54.90 55.47 55.53 58.00 53.75 62.72 100.68 55.34
fedoraproject.org        : 110.24 113.25 110.38 109.41 110.90 109.91 112.03 109.58 109.99 110.59 119.38 109.32 117.36 119.16 110.36 111.66 110.71 112.22 236.01 267.27

Same as a normal user:

>rpm -q fping
fping-3.0-1.fc16.x86_64
>/usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org
planet.fedoraproject.org : 103.23 110.92 55.16 59.62 56.61 55.43 54.70 57.86 56.46 55.10 57.43 56.28 56.51 54.92 58.11 62.00 54.98 56.17 58.42 54.62
docs.fedoraproject.org   : 190.28 100.56 99.17 97.62 99.00 97.73 118.43 98.35 99.54 96.56 98.71 99.03 98.77 108.53 96.76 100.01 97.86 97.27 98.51 97.89
fedoraproject.org        : 169.93 172.36 82.95 80.44 88.74 82.46 81.39 80.88 82.23 86.29 83.40 79.99 81.19 80.98 81.61 80.89 80.89 82.62 81.58 82.54

>rpm -q fping
fping-3.3-2.fc16.x86_64
>/usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org
planet.fedoraproject.org : 53.88 55.36 58.19 55.52 55.15 56.68 56.00 54.77 55.95 59.87 54.28 54.12 56.49 60.05 55.73 55.56 55.34 56.60 54.80 53.71
docs.fedoraproject.org   : 102.30 97.01 99.46 105.30 105.24 99.68 101.42 101.12 99.55 98.54 99.89 100.69 98.91 94.69 100.13 99.46 98.58 97.27 96.94 99.16
fedoraproject.org        : 83.69 86.76 81.91 81.05 80.98 80.02 81.57 82.69 82.13 80.68 84.96 81.65 81.33 84.42 80.73 80.21 83.72 80.07 83.67 82.10
Comment 4 Charles R. Anderson 2012-09-06 01:55:20 EDT
This shows that the output of fping changed from the Standard Error to Standard Output stream in 3.3:

$ rpm -q fping
fping-3.0-1.fc16.x86_64
$ /usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org > fping-3.0-stdout 2> fping-3.0-stderr
$ cat fping-3.0-stdout
$ cat fping-3.0-stderr
planet.fedoraproject.org : 55.32 54.55 56.00 57.75 56.20 55.55 55.21 61.81 56.87 53.78 69.25 60.73 55.18 54.27 58.20 54.94 57.80 54.83 56.00 55.42
docs.fedoraproject.org   : 119.02 101.76 98.95 98.03 97.53 101.68 97.51 98.92 97.91 102.93 108.36 97.55 102.01 97.81 101.93 98.19 98.99 101.70 97.69 99.48
fedoraproject.org        : 105.43 105.81 95.85 94.93 94.33 95.25 94.63 95.67 97.17 96.41 98.10 94.10 96.27 97.60 95.65 100.18 101.88 97.45 96.86 95.26

$ rpm -q fping
fping-3.3-2.fc16.x86_64
$ /usr/sbin/fping -C 20 -q -B1 -r1 -i10 planet.fedoraproject.org docs.fedoraproject.org fedoraproject.org > fping-3.3-stdout 2> fping-3.3-stderr
$ cat fping-3.3-stdout
planet.fedoraproject.org : 53.95 55.34 53.95 55.08 56.60 57.52 56.23 55.42 54.37 53.74 55.02 61.27 55.77 55.20 56.32 61.59 61.59 61.03 59.61 59.12
docs.fedoraproject.org   : 53.28 54.72 53.53 58.54 53.95 55.36 56.13 54.11 55.89 53.61 54.79 55.72 57.03 54.20 56.10 57.07 55.29 54.47 58.17 61.72
fedoraproject.org        : 61.16 54.27 57.12 57.65 53.80 54.99 60.15 53.91 56.10 57.72 54.53 53.90 56.80 53.76 54.86 54.26 55.18 54.57 53.47 56.95
$ cat fping-3.3-stderr

This code in FPing.pm of smokeping only captures STDERR output, ignoring STDOUT:

    my $pid = open3($inh,$outh,$errh, @cmd);
    $self->{rtts}={};
    while (<$errh>){
        chomp;
	$self->do_debug("Got fping output: '$_'");

So smokeping needs to look at $outh here, probably in addition to $errh to maintain compatibility with older fping.
Comment 5 Charles R. Anderson 2012-09-06 01:59:21 EDT
  Assigning this bug to smokeping, as the fping change from STDERR to STDOUT was an intended upstream change/bugfix:

  * Output statistics to stdout instead of stderr (suggested by Simon Leinen, #9)
Comment 6 Charles R. Anderson 2012-09-06 02:35:51 EDT
Created attachment 610180 [details]
proposed fix to read both stdout and stderr from fping

I tested this patch with fping-3.0 which uses stderr and fping-3.3 which uses stdout, and both work fine.
Comment 7 Harald Reindl 2012-09-06 04:24:48 EDT
> Assigning this bug to smokeping, as the fping change from 
> STDERR to STDOUT was an intended upstream change/bugfix

and what let you come to the conclusion that it is a good idea to push BEHAVIOR-changes in stable fedora versions without coordinate this BEFORE with affected packages?

it is NOT a bug of any other package if one maintainer is pushing a incompatible change of a dep-package
Comment 8 Charles R. Anderson 2012-09-06 12:50:53 EDT
(In reply to comment #7)
> > Assigning this bug to smokeping, as the fping change from 
> > STDERR to STDOUT was an intended upstream change/bugfix
> 
> and what let you come to the conclusion that it is a good idea to push
> BEHAVIOR-changes in stable fedora versions without coordinate this BEFORE
> with affected packages?

Stuff happens.
 
> it is NOT a bug of any other package if one maintainer is pushing a
> incompatible change of a dep-package

I provided a fix--please apply the fix, or I would be happy to apply the fix if you grant me co-maintainter for smokeping.  Thanks.
Comment 9 Harald Reindl 2012-09-06 12:55:55 EDT
this sort of stuff should NOT happen

if you know as maintainer that your update breaks behavior it is on you to contact maintainers of depending packages and coordinate a update for both or  not push incompatible updates

this is why Fedora is a DISTRIBUTION which means for the users "all packages are from the same source and tested against each others"

i can not grant you anything because i am only a user who is sometimes testing packages especially if they come with "--security"
Comment 10 Charles R. Anderson 2012-09-06 13:03:31 EDT
(In reply to comment #9)
> this sort of stuff should NOT happen
> 
> if you know as maintainer that your update breaks behavior it is on you to
> contact maintainers of depending packages and coordinate a update for both
> or  not push incompatible updates
> 
> this is why Fedora is a DISTRIBUTION which means for the users "all packages
> are from the same source and tested against each others"
> 
> i can not grant you anything because i am only a user who is sometimes
> testing packages especially if they come with "--security"

Sorry, I mistook you for the maintainer.  Thank you for reporting this bug.  That's why we have updates-testing--to find issues like this that aren't always known in advance, and fix them before they go out as regular updates.  This was intended to be a bugfix release (not a security fix)--the new upstream of fping doesn't backport bugfixes, and it isn't expected that a Fedora package maintainer do backports either.
Comment 11 Terje Røsten 2012-09-06 13:08:33 EDT
Hi guys,

an update fixing this issue, and different smokeping problem will be built and pushed soon.

Thanks for reporting and the fix.
Comment 12 Harald Reindl 2012-09-06 14:48:40 EDT
thanks, but you forgot the F16 build for which this bugreport is directly because this is the production version for Fedora-Servers, for F17 i can confirm this as fixed with http://koji.fedoraproject.org/koji/buildinfo?buildID=352878
Comment 13 Fedora Update System 2012-09-06 14:53:44 EDT
smokeping-2.6.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/smokeping-2.6.8-1.fc18
Comment 14 Terje Røsten 2012-09-06 14:55:24 EDT
F16 is coming, this was some work as *all* branches were different.
Comment 15 Fedora Update System 2012-09-06 14:57:39 EDT
smokeping-2.6.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/smokeping-2.6.8-1.fc17
Comment 16 Fedora Update System 2012-09-06 15:01:34 EDT
smokeping-2.4.2-17.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/smokeping-2.4.2-17.fc16
Comment 17 Harald Reindl 2012-09-06 15:05:45 EDT
confirmed that these two are working together on F16

Sep 06 21:02:30 Updated: fping-3.3-2.fc16.x86_64
Sep 06 21:02:31 Updated: smokeping-2.4.2-17.fc16.noarch
Comment 18 Terje Røsten 2012-09-06 15:07:03 EDT
Thanks for your quick testing!
Comment 19 Fedora Update System 2012-09-07 07:24:27 EDT
Package smokeping-2.4.2-17.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing smokeping-2.4.2-17.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13411/smokeping-2.4.2-17.fc16
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-09-17 13:37:02 EDT
smokeping-2.4.2-17.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2012-09-17 13:43:28 EDT
smokeping-2.6.8-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2012-09-17 19:03:16 EDT
smokeping-2.6.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.